Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

How to install the 32bit libraires needed for Secondlife viewer

I am trying to run the "Secondlife Viewer" for linux. It is a 32 bit app on Fedora25 64bit, and when I try and run it from Terminal it comes back with an error saying --

64-bit Linux detected. Running from /home/me/Second_Life_5_0_1_323027_i686 bin/do-not-directly-run-secondlife-bin: error while loading shared libraries: libGLU.so.1: cannot open shared object file: No such file or directory * Bad shutdown ($LL_RUN_ERR). *

You are running the Second Life Viewer on a x86_64 platform. The most common problems when launching the Viewer (particularly 'bin/do-not-directly-run-secondlife-bin: not found' and 'error while loading shared libraries') may be solved by installing your Linux distribution's 32-bit compatibility packages. For example, on Ubuntu and other Debian-based Linuxes you might run: $ sudo apt-get install ia32-libs ia32-libs-gtk ia32-libs-kde ia32-libs-sdl

I tried running a few suggestions from Earlier posts in this forum but still not working Any ideas please ? thanks in advance